> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Access Method

> Deletes an access method.



## OpenAPI

````yaml /openapi.json post /access_methods/delete
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /access_methods/delete:
    post:
      tags: []
      summary: Delete an Access Method
      description: Deletes an access method.
      operationId: accessMethodsDeletePost
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - properties:
                    access_method_id:
                      description: ID of access method to delete.
                      format: uuid
                      type: string
                  required:
                    - access_method_id
                  type: object
                - properties:
                    access_grant_id:
                      description: >-
                        ID of access grant whose access methods should be
                        deleted.
                      format: uuid
                      type: string
                  required:
                    - access_grant_id
                  type: object
                - properties:
                    reservation_key:
                      description: >-
                        Reservation key of the access grant whose access methods
                        should be deleted.
                      type: string
                  required:
                    - reservation_key
                  type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.accessMethods.delete({
              access_method_id: "3f10d86c-526b-4b85-8788-cc1a74411b71",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/access_methods/delete" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "access_method_id": "3f10d86c-526b-4b85-8788-cc1a74411b71"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: >-
            seam.access_methods.delete(access_method_id="3f10d86c-526b-4b85-8788-cc1a74411b71")


            # None
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.access_methods.delete(access_method_id:
            "3f10d86c-526b-4b85-8788-cc1a74411b71")


            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->access_methods->delete(
                access_method_id: "3f10d86c-526b-4b85-8788-cc1a74411b71",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam access-methods delete --access_method_id
            "3f10d86c-526b-4b85-8788-cc1a74411b71"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````